/*
 * Sonatype Nexus (TM) Open Source Version
 * Copyright (c) 2007-2013 Sonatype, Inc.
 * All rights reserved. Includes the third-party code listed at http://links.sonatype.com/products/nexus/oss/attributions.
 *
 * This program and the accompanying materials are made available under the terms of the Eclipse Public License Version 1.0,
 * which accompanies this distribution and is available at http://www.eclipse.org/legal/epl-v10.html.
 *
 * Sonatype Nexus (TM) Professional Version is available from Sonatype, Inc. "Sonatype" and "Sonatype Nexus" are trademarks
 * of Sonatype, Inc. Apache Maven is a trademark of the Apache Software Foundation. M2eclipse is a trademark of the
 * Eclipse Foundation. All other trademarks are the property of their respective owners.
 */
package org.sonatype.nexus.maven.staging.deploy.strategy;

import org.apache.maven.plugin.MojoExecutionException;
import org.apache.maven.settings.Proxy;
import org.apache.maven.settings.Server;
import org.sonatype.nexus.client.core.NexusClient;

import com.sonatype.nexus.staging.client.StagingWorkflowV2Service;

/**
 * Remoting needed in deploy strategies.
 * 
 * @author cstamas
 * @since 1.1
 */
public interface Remoting
{
    Server getServer();

    Proxy getProxy();

    NexusClient getNexusClient()
        throws MojoExecutionException;

    StagingWorkflowV2Service getStagingWorkflowV2Service()
        throws MojoExecutionException;
}
